const Layout = () => import('@/layout/index.vue');

const devicesRouter = {
  path: '/device',
  component: Layout,
  redirect: 'noRedirect',
  name: 'Device',
  meta: {
    title: '设备管理',
    icon: 'device-hdw'
  },
  children: [
    {
      path: 'lock',
      component: () => import('@/views/device/lock/index.vue'),
      name: 'LockManage',
      meta: { title: '锁具管理', icon: 'lock-hdw', noCache: false }
    },
    {
      path: 'key',
      component: () => import('@/views/device/key/index.vue'),
      name: 'KeyManage',
      meta: { title: '钥匙管理', icon: 'key-hdw', noCache: false }
    }
  ]
};

export default devicesRouter;
